Package org.eclipse.birt.chart.model.attribute

# Enum RiserType

java.lang.Object
java.lang.Enum<RiserType>
org.eclipse.birt.chart.model.attribute.RiserType

All Implemented Interfaces:
  `Serializable`, `Comparable<RiserType>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum RiserType extends Enum<RiserType> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Riser Type', and utility methods for working with them. This type represents the possible values for risers supported for Bar Series.

See Also:
  - `AttributePackage.getRiserType()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONE_LITERAL`
The 'Cone' literal object.
`RECTANGLE_LITERAL`
The 'Rectangle' literal object.
`TRIANGLE_LITERAL`
The 'Triangle' literal object.
`TUBE_LITERAL`
The 'Tube' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONE`
The 'Cone' literal value.
`static final int`
`RECTANGLE`
The 'Rectangle' literal value.
`static final int`
`TRIANGLE`
The 'Triangle' literal value.
`static final int`
`TUBE`
The 'Tube' literal value.
`static final List<RiserType>`
`VALUES`
A public read-only list of all the 'Riser Type' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static RiserType`
`get(int value)`
Returns the 'Riser Type' literal with the specified integer value.
`static RiserType`
`get(String literal)`
Returns the 'Riser Type' literal with the specified literal value.
`static RiserType`
`getByName(String name)`
Returns the 'Riser Type' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static RiserType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static RiserType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RECTANGLE_LITERAL

public static final RiserType RECTANGLE_LITERAL
The 'Rectangle' literal object.

If the meaning of 'Rectangle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `RECTANGLE`

### TRIANGLE_LITERAL

public static final RiserType TRIANGLE_LITERAL
The 'Triangle' literal object.

If the meaning of 'Triangle' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TRIANGLE`

### TUBE_LITERAL

public static final RiserType TUBE_LITERAL
The 'Tube' literal object.

See Also:
  - `TUBE`

### CONE_LITERAL

public static final RiserType CONE_LITERAL
The 'Cone' literal object.

See Also:
  - `CONE`

## Field Details

### RECTANGLE

public static final int RECTANGLE
The 'Rectangle' literal value.

See Also:
  - `RECTANGLE_LITERAL`
  - Constant Field Values

### TRIANGLE

public static final int TRIANGLE
The 'Triangle' literal value.

See Also:
  - `TRIANGLE_LITERAL`
  - Constant Field Values

### TUBE

public static final int TUBE
The 'Tube' literal value.

If the meaning of 'Tube' literal object isn't clear, there really should be more of a description here...

See Also:
  - `TUBE_LITERAL`
  - Constant Field Values

### CONE

public static final int CONE
The 'Cone' literal value.

If the meaning of 'Cone' literal object isn't clear, there really should be more of a description here...

See Also:
  - `CONE_LITERAL`
  - Constant Field Values

### VALUES

public static final List<RiserType> VALUES
A public read-only list of all the 'Riser Type' enumerators.

## Method Details

### values

public static RiserType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static RiserType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static RiserType get(String literal)
Returns the 'Riser Type' literal with the specified literal value.

### getByName

public static RiserType getByName(String name)
Returns the 'Riser Type' literal with the specified name.

### get

public static RiserType get(int value)
Returns the 'Riser Type' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<RiserType>`